Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.blueprint.config.internal.support
Class InstanceEqualityRuntimeBeanReference

    java.lang.Object
      org.springframework.beans.factory.config.RuntimeBeanReference
          org.eclipse.gemini.blueprint.blueprint.config.internal.support.InstanceEqualityRuntimeBeanReference

All Implemented Interfaces:
  org.springframework.beans.BeanMetadataElement, org.springframework.beans.factory.config.BeanReference

    public class InstanceEqualityRuntimeBeanReference

extends org.springframework.beans.factory.config.RuntimeBeanReference

A temporary runtime bean reference that does not implement the equality contract to prevent set merges.

Author:
  Costin Leau

Constructor Summary
`InstanceEqualityRuntimeBeanReference(String beanName)`
`InstanceEqualityRuntimeBeanReference(String beanName, boolean toParent)`

Method Summary
`boolean` | `equals(Object other)`

Methods inherited from class org.springframework.beans.factory.config.RuntimeBeanReference
`getBeanName, getSource, hashCode, isToParent, setSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstanceEqualityRuntimeBeanReference

    public InstanceEqualityRuntimeBeanReference(String beanName,
                                                boolean toParent)

### InstanceEqualityRuntimeBeanReference

    public InstanceEqualityRuntimeBeanReference(String beanName)

Method Detail

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `org.springframework.beans.factory.config.RuntimeBeanReference`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.